1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be more Bourne compatible
16DUALCASE=1; export DUALCASE # for MKS sh
17if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18  emulate sh
19  NULLCMD=:
20  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21  # is contrary to our usage.  Disable this feature.
22  alias -g '${1+"$@"}'='"$@"'
23  setopt NO_GLOB_SUBST
24else
25  case `(set -o) 2>/dev/null` in
26  *posix*) set -o posix ;;
27esac
28
29fi
30
31
32
33
34# PATH needs CR
35# Avoid depending upon Character Ranges.
36as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39as_cr_digits='0123456789'
40as_cr_alnum=$as_cr_Letters$as_cr_digits
41
42# The user is always right.
43if test "${PATH_SEPARATOR+set}" != set; then
44  echo "#! /bin/sh" >conf$$.sh
45  echo  "exit 0"   >>conf$$.sh
46  chmod +x conf$$.sh
47  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48    PATH_SEPARATOR=';'
49  else
50    PATH_SEPARATOR=:
51  fi
52  rm -f conf$$.sh
53fi
54
55# Support unset when possible.
56if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57  as_unset=unset
58else
59  as_unset=false
60fi
61
62
63# IFS
64# We need space, tab and new line, in precisely that order.  Quoting is
65# there to prevent editors from complaining about space-tab.
66# (If _AS_PATH_WALK were called with IFS unset, it would disable word
67# splitting by setting IFS to empty value.)
68as_nl='
69'
70IFS=" ""	$as_nl"
71
72# Find who we are.  Look in the path if we contain no directory separator.
73case $0 in
74  *[\\/]* ) as_myself=$0 ;;
75  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76for as_dir in $PATH
77do
78  IFS=$as_save_IFS
79  test -z "$as_dir" && as_dir=.
80  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81done
82IFS=$as_save_IFS
83
84     ;;
85esac
86# We did not find ourselves, most probably we were run as `sh COMMAND'
87# in which case we are not to be found in the path.
88if test "x$as_myself" = x; then
89  as_myself=$0
90fi
91if test ! -f "$as_myself"; then
92  echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93  { (exit 1); exit 1; }
94fi
95
96# Work around bugs in pre-3.0 UWIN ksh.
97for as_var in ENV MAIL MAILPATH
98do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99done
100PS1='$ '
101PS2='> '
102PS4='+ '
103
104# NLS nuisances.
105for as_var in \
106  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108  LC_TELEPHONE LC_TIME
109do
110  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111    eval $as_var=C; export $as_var
112  else
113    ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
114  fi
115done
116
117# Required to use basename.
118if expr a : '\(a\)' >/dev/null 2>&1 &&
119   test "X`expr 00001 : '.*\(...\)'`" = X001; then
120  as_expr=expr
121else
122  as_expr=false
123fi
124
125if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126  as_basename=basename
127else
128  as_basename=false
129fi
130
131
132# Name of the executable.
133as_me=`$as_basename -- "$0" ||
134$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135	 X"$0" : 'X\(//\)$' \| \
136	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137echo X/"$0" |
138    sed '/^.*\/\([^/][^/]*\)\/*$/{
139	    s//\1/
140	    q
141	  }
142	  /^X\/\(\/\/\)$/{
143	    s//\1/
144	    q
145	  }
146	  /^X\/\(\/\).*/{
147	    s//\1/
148	    q
149	  }
150	  s/.*/./; q'`
151
152# CDPATH.
153$as_unset CDPATH
154
155
156
157  as_lineno_1=$LINENO
158  as_lineno_2=$LINENO
159  test "x$as_lineno_1" != "x$as_lineno_2" &&
160  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
161
162  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163  # uniformly replaced by the line number.  The first 'sed' inserts a
164  # line-number line after each line using $LINENO; the second 'sed'
165  # does the real work.  The second script uses 'N' to pair each
166  # line-number line with the line containing $LINENO, and appends
167  # trailing '-' during substitution so that $LINENO is not a special
168  # case at line end.
169  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170  # scripts with optimization help from Paolo Bonzini.  Blame Lee
171  # E. McMahon (1931-1989) for sed's syntax.  :-)
172  sed -n '
173    p
174    /[$]LINENO/=
175  ' <$as_myself |
176    sed '
177      s/[$]LINENO.*/&-/
178      t lineno
179      b
180      :lineno
181      N
182      :loop
183      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184      t loop
185      s/-\n.*//
186    ' >$as_me.lineno &&
187  chmod +x "$as_me.lineno" ||
188    { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189   { (exit 1); exit 1; }; }
190
191  # Don't try to exec as it changes $[0], causing all sort of problems
192  # (the dirname of $[0] is not the place where we might find the
193  # original and so on.  Autoconf is especially sensitive to this).
194  . "./$as_me.lineno"
195  # Exit status is that of the last command.
196  exit
197}
198
199
200if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201  as_dirname=dirname
202else
203  as_dirname=false
204fi
205
206ECHO_C= ECHO_N= ECHO_T=
207case `echo -n x` in
208-n*)
209  case `echo 'x\c'` in
210  *c*) ECHO_T='	';;	# ECHO_T is single tab character.
211  *)   ECHO_C='\c';;
212  esac;;
213*)
214  ECHO_N='-n';;
215esac
216
217if expr a : '\(a\)' >/dev/null 2>&1 &&
218   test "X`expr 00001 : '.*\(...\)'`" = X001; then
219  as_expr=expr
220else
221  as_expr=false
222fi
223
224rm -f conf$$ conf$$.exe conf$$.file
225if test -d conf$$.dir; then
226  rm -f conf$$.dir/conf$$.file
227else
228  rm -f conf$$.dir
229  mkdir conf$$.dir
230fi
231echo >conf$$.file
232if ln -s conf$$.file conf$$ 2>/dev/null; then
233  as_ln_s='ln -s'
234  # ... but there are two gotchas:
235  # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236  # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237  # In both cases, we have to default to `cp -p'.
238  ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239    as_ln_s='cp -p'
240elif ln conf$$.file conf$$ 2>/dev/null; then
241  as_ln_s=ln
242else
243  as_ln_s='cp -p'
244fi
245rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246rmdir conf$$.dir 2>/dev/null
247
248if mkdir -p . 2>/dev/null; then
249  as_mkdir_p=:
250else
251  test -d ./-p && rmdir ./-p
252  as_mkdir_p=false
253fi
254
255if test -x / >/dev/null 2>&1; then
256  as_test_x='test -x'
257else
258  if ls -dL / >/dev/null 2>&1; then
259    as_ls_L_option=L
260  else
261    as_ls_L_option=
262  fi
263  as_test_x='
264    eval sh -c '\''
265      if test -d "$1"; then
266        test -d "$1/.";
267      else
268	case $1 in
269        -*)set "./$1";;
270	esac;
271	case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272	???[sx]*):;;*)false;;esac;fi
273    '\'' sh
274  '
275fi
276as_executable_p=$as_test_x
277
278# Sed expression to map a string onto a valid CPP name.
279as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
280
281# Sed expression to map a string onto a valid variable name.
282as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
283
284
285exec 6>&1
286
287# Save the log message, to keep $[0] and so on meaningful, and to
288# report actual input values of CONFIG_FILES etc. instead of their
289# values after options handling.
290ac_log="
291This file was extended by $as_me, which was
292generated by GNU Autoconf 2.61.  Invocation command line was
293
294  CONFIG_FILES    = $CONFIG_FILES
295  CONFIG_HEADERS  = $CONFIG_HEADERS
296  CONFIG_LINKS    = $CONFIG_LINKS
297  CONFIG_COMMANDS = $CONFIG_COMMANDS
298  $ $0 $@
299
300on `(hostname || uname -n) 2>/dev/null | sed 1q`
301"
302
303# Files that config.status was made for.
304config_files=" Makefile"
305
306ac_cs_usage="\
307\`$as_me' instantiates files from templates according to the
308current configuration.
309
310Usage: $0 [OPTIONS] [FILE]...
311
312  -h, --help       print this help, then exit
313  -V, --version    print version number and configuration settings, then exit
314  -q, --quiet      do not print progress messages
315  -d, --debug      don't remove temporary files
316      --recheck    update $as_me by reconfiguring in the same conditions
317  --file=FILE[:TEMPLATE]
318		   instantiate the configuration file FILE
319
320Configuration files:
321$config_files
322
323Report bugs to <bug-autoconf@gnu.org>."
324
325ac_cs_version="\
326config.status
327configured by ./configure, generated by GNU Autoconf 2.61,
328  with options \"'--prefix=/usr' '--host=arm-linux' 'host_alias=arm-linux' '--cache-file=/dev/null' '--srcdir=.' 'CC=arm-brcm-linux-uclibcgnueabi-gcc' 'CFLAGS=-Os -O2 -DBCMWPA2 -DRESTART_ALL_PROCESSES -D__CONFIG_USBAP__ -DBCMQOS -DBCMWPS -D__CONFIG_EMF__ -DTRAFFIC_MGMT -DPHYMON -DSUPPORT_REMOTE_HTTPS -DINCLUDE_WPS_V20 -DINCLUDE_5G_AUTO_CHANNEL -DOPENDNS_PARENTAL_CONTROL -DINCLUDE_UCP -DU12H240 -DR6300v2 -DMULTIPLE_SSID -DENABLE_ML -DBCM53125 -DBCM5301X -DCONFIG_RUSSIA_IPTV -DDLNA -DHTTP_ACCESS_USB -DMAX_USB_ACCESS -DSAMBA_ENABLE -DUSB_NEW_SPEC -DINCLUDE_WIFI_BUTTON -DINCLUDE_USB_LED -DINCLUDE_DUAL_BAND -DSINGLE_FIRMWARE -DINCLUDE_GET_ST_CHKSUM -DUNIFIED_STR_TBL -DFIRST_MTD_ROTATION -DWIFI_ON_OFF_SCHE -DAUTO_CONN_24HR -DIGMP_PROXY -DAP_MODE -D__CONFIG_IGMP_SNOOPING__ -DLINUX26 -DINCLUDE_IPV6 -DPRESET_WL_SECURITY -DNEW_BCM_WPS_IPC -DSUPPORT_AC_MODE -DSTA_MODE -DPPP_RU_DESIGN -DEXT_ACS -D__CONFIG_PLC__ -D__CONFIG_URE__ -DPLC -DWPS_LONGPUSH_DISABLE -Os -DLINUX26 -DCONFIG_KERNEL_2_6_36 -I$(SRC_PATH)/build/include' 'LDFLAGS=-L$(SRC_PATH)/build/lib' 'CPPFLAGS=-I$(SRC_PATH)/build/include' 'CPP=arm-brcm-linux-uclibcgnueabi-gcc -E'\"
329
330Copyright (C) 2006 Free Software Foundation, Inc.
331This config.status script is free software; the Free Software Foundation
332gives unlimited permission to copy, distribute and modify it."
333
334ac_pwd='$(SRC_PATH)/gperf-3.0.4/lib'
335srcdir='.'
336# If no file are specified by the user, then we need to provide default
337# value.  By we need to know if files were specified by the user.
338ac_need_defaults=:
339while test $# != 0
340do
341  case $1 in
342  --*=*)
343    ac_option=`expr "X$1" : 'X\([^=]*\)='`
344    ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
345    ac_shift=:
346    ;;
347  *)
348    ac_option=$1
349    ac_optarg=$2
350    ac_shift=shift
351    ;;
352  esac
353
354  case $ac_option in
355  # Handling of the options.
356  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
357    ac_cs_recheck=: ;;
358  --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
359    echo "$ac_cs_version"; exit ;;
360  --debug | --debu | --deb | --de | --d | -d )
361    debug=: ;;
362  --file | --fil | --fi | --f )
363    $ac_shift
364    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
365    ac_need_defaults=false;;
366  --he | --h |  --help | --hel | -h )
367    echo "$ac_cs_usage"; exit ;;
368  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
369  | -silent | --silent | --silen | --sile | --sil | --si | --s)
370    ac_cs_silent=: ;;
371
372  # This is an error.
373  -*) { echo "$as_me: error: unrecognized option: $1
374Try \`$0 --help' for more information." >&2
375   { (exit 1); exit 1; }; } ;;
376
377  *) ac_config_targets="$ac_config_targets $1"
378     ac_need_defaults=false ;;
379
380  esac
381  shift
382done
383
384ac_configure_extra_args=
385
386if $ac_cs_silent; then
387  exec 6>/dev/null
388  ac_configure_extra_args="$ac_configure_extra_args --silent"
389fi
390
391if $ac_cs_recheck; then
392  echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " '--prefix=/usr' '--host=arm-linux' 'host_alias=arm-linux' '--cache-file=/dev/null' '--srcdir=.' 'CC=arm-brcm-linux-uclibcgnueabi-gcc' 'CFLAGS=-Os -O2 -DBCMWPA2 -DRESTART_ALL_PROCESSES -D__CONFIG_USBAP__ -DBCMQOS -DBCMWPS -D__CONFIG_EMF__ -DTRAFFIC_MGMT -DPHYMON -DSUPPORT_REMOTE_HTTPS -DINCLUDE_WPS_V20 -DINCLUDE_5G_AUTO_CHANNEL -DOPENDNS_PARENTAL_CONTROL -DINCLUDE_UCP -DU12H240 -DR6300v2 -DMULTIPLE_SSID -DENABLE_ML -DBCM53125 -DBCM5301X -DCONFIG_RUSSIA_IPTV -DDLNA -DHTTP_ACCESS_USB -DMAX_USB_ACCESS -DSAMBA_ENABLE -DUSB_NEW_SPEC -DINCLUDE_WIFI_BUTTON -DINCLUDE_USB_LED -DINCLUDE_DUAL_BAND -DSINGLE_FIRMWARE -DINCLUDE_GET_ST_CHKSUM -DUNIFIED_STR_TBL -DFIRST_MTD_ROTATION -DWIFI_ON_OFF_SCHE -DAUTO_CONN_24HR -DIGMP_PROXY -DAP_MODE -D__CONFIG_IGMP_SNOOPING__ -DLINUX26 -DINCLUDE_IPV6 -DPRESET_WL_SECURITY -DNEW_BCM_WPS_IPC -DSUPPORT_AC_MODE -DSTA_MODE -DPPP_RU_DESIGN -DEXT_ACS -D__CONFIG_PLC__ -D__CONFIG_URE__ -DPLC -DWPS_LONGPUSH_DISABLE -Os -DLINUX26 -DCONFIG_KERNEL_2_6_36 -I$(SRC_PATH)/build/include' 'LDFLAGS=-L$(SRC_PATH)/build/lib' 'CPPFLAGS=-I$(SRC_PATH)/build/include' 'CPP=arm-brcm-linux-uclibcgnueabi-gcc -E' $ac_configure_extra_args " --no-create --no-recursion" >&6
393  CONFIG_SHELL=/bin/sh
394  export CONFIG_SHELL
395  exec /bin/sh "./configure" '--prefix=/usr' '--host=arm-linux' 'host_alias=arm-linux' '--cache-file=/dev/null' '--srcdir=.' 'CC=arm-brcm-linux-uclibcgnueabi-gcc' 'CFLAGS=-Os -O2 -DBCMWPA2 -DRESTART_ALL_PROCESSES -D__CONFIG_USBAP__ -DBCMQOS -DBCMWPS -D__CONFIG_EMF__ -DTRAFFIC_MGMT -DPHYMON -DSUPPORT_REMOTE_HTTPS -DINCLUDE_WPS_V20 -DINCLUDE_5G_AUTO_CHANNEL -DOPENDNS_PARENTAL_CONTROL -DINCLUDE_UCP -DU12H240 -DR6300v2 -DMULTIPLE_SSID -DENABLE_ML -DBCM53125 -DBCM5301X -DCONFIG_RUSSIA_IPTV -DDLNA -DHTTP_ACCESS_USB -DMAX_USB_ACCESS -DSAMBA_ENABLE -DUSB_NEW_SPEC -DINCLUDE_WIFI_BUTTON -DINCLUDE_USB_LED -DINCLUDE_DUAL_BAND -DSINGLE_FIRMWARE -DINCLUDE_GET_ST_CHKSUM -DUNIFIED_STR_TBL -DFIRST_MTD_ROTATION -DWIFI_ON_OFF_SCHE -DAUTO_CONN_24HR -DIGMP_PROXY -DAP_MODE -D__CONFIG_IGMP_SNOOPING__ -DLINUX26 -DINCLUDE_IPV6 -DPRESET_WL_SECURITY -DNEW_BCM_WPS_IPC -DSUPPORT_AC_MODE -DSTA_MODE -DPPP_RU_DESIGN -DEXT_ACS -D__CONFIG_PLC__ -D__CONFIG_URE__ -DPLC -DWPS_LONGPUSH_DISABLE -Os -DLINUX26 -DCONFIG_KERNEL_2_6_36 -I$(SRC_PATH)/build/include' 'LDFLAGS=-L$(SRC_PATH)/build/lib' 'CPPFLAGS=-I$(SRC_PATH)/build/include' 'CPP=arm-brcm-linux-uclibcgnueabi-gcc -E' $ac_configure_extra_args --no-create --no-recursion
396fi
397
398exec 5>>config.log
399{
400  echo
401  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
402## Running $as_me. ##
403_ASBOX
404  echo "$ac_log"
405} >&5
406
407
408# Handling of arguments.
409for ac_config_target in $ac_config_targets
410do
411  case $ac_config_target in
412    "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
413
414  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
415echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
416   { (exit 1); exit 1; }; };;
417  esac
418done
419
420
421# If the user did not use the arguments to specify the items to instantiate,
422# then the envvar interface is used.  Set only those that are not.
423# We use the long form for the default assignment because of an extremely
424# bizarre bug on SunOS 4.1.3.
425if $ac_need_defaults; then
426  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
427fi
428
429# Have a temporary directory for convenience.  Make it in the build tree
430# simply because there is no reason against having it here, and in addition,
431# creating and moving files from /tmp can sometimes cause problems.
432# Hook for its removal unless debugging.
433# Note that there is a small window in which the directory will not be cleaned:
434# after its creation but before its name has been assigned to `$tmp'.
435$debug ||
436{
437  tmp=
438  trap 'exit_status=$?
439  { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
440' 0
441  trap '{ (exit 1); exit 1; }' 1 2 13 15
442}
443# Create a (secure) tmp directory for tmp files.
444
445{
446  tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
447  test -n "$tmp" && test -d "$tmp"
448}  ||
449{
450  tmp=./conf$$-$RANDOM
451  (umask 077 && mkdir "$tmp")
452} ||
453{
454   echo "$me: cannot create a temporary directory in ." >&2
455   { (exit 1); exit 1; }
456}
457
458#
459# Set up the sed scripts for CONFIG_FILES section.
460#
461
462# No need to generate the scripts if there are no CONFIG_FILES.
463# This happens for instance when ./config.status config.h
464if test -n "$CONFIG_FILES"; then
465
466cat >"$tmp/subs-1.sed" <<\CEOF
467/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
468s,@SHELL@,|#_!!_#|/bin/sh,g
469s,@PATH_SEPARATOR@,|#_!!_#|:,g
470s,@PACKAGE_NAME@,|#_!!_#|,g
471s,@PACKAGE_TARNAME@,|#_!!_#|,g
472s,@PACKAGE_VERSION@,|#_!!_#|,g
473s,@PACKAGE_STRING@,|#_!!_#|,g
474s,@PACKAGE_BUGREPORT@,|#_!!_#|,g
475s,@exec_prefix@,|#_!!_#|${prefix},g
476s,@prefix@,|#_!!_#|/usr,g
477s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
478s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
479s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
480s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
481s,@datarootdir@,|#_!!_#|${prefix}/share,g
482s,@datadir@,|#_!!_#|${datarootdir},g
483s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
484s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
485s,@localstatedir@,|#_!!_#|${prefix}/var,g
486s,@includedir@,|#_!!_#|${prefix}/include,g
487s,@oldincludedir@,|#_!!_#|/usr/include,g
488s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE},g
489s,@infodir@,|#_!!_#|${datarootdir}/info,g
490s,@htmldir@,|#_!!_#|${docdir},g
491s,@dvidir@,|#_!!_#|${docdir},g
492s,@pdfdir@,|#_!!_#|${docdir},g
493s,@psdir@,|#_!!_#|${docdir},g
494s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
495s,@localedir@,|#_!!_#|${datarootdir}/locale,g
496s,@mandir@,|#_!!_#|${datarootdir}/man,g
497s,@DEFS@,|#_!!_#|-DPACKAGE_NAME=\\"\\" -DPACKAGE_TARNAME=\\"\\" -DPACKAGE_VERSION=\\"\\" -DPACKAGE_STRING=\\"\\" -DPACKAGE_BUGREPORT=\\"\\",g
498s,@ECHO_C@,|#_!!_#|,g
499s,@ECHO_N@,|#_!!_#|-n,g
500s,@ECHO_T@,|#_!!_#|,g
501s,@LIBS@,|#_!!_#|,g
502s,@build_alias@,|#_!!_#|,g
503s,@host_alias@,|#_!!_#|arm-linux,g
504s,@target_alias@,|#_!!_#|,g
505s,@SET_MAKE@,|#_!!_#|,g
506s,@CC@,|#_!!_#|arm-brcm-linux-uclibcgnueabi-gcc,g
507s,@CFLAGS@,|#_!!_#|-Os -O2 -DBCMWPA2 -DRESTART_ALL_PROCESSES -D__CONFIG_USBAP__ -DBCMQOS -DBCMWPS -D__CONFIG_EMF__ -DTRAFFIC_MGMT -DPHYMON -DSUPPORT_REMOTE_HTTPS -DINCLUDE_WPS_V20 -DINCLUDE_5G_AUTO_CHANNEL -DOPENDNS_PARENTAL_CONTROL -DINCLUDE_UCP -DU12H240 -DR6300v2 -DMULTIPLE_SSID -DENABLE_ML -DBCM53125 -DBCM5301X -DCONFIG_RUSSIA_IPTV -DDLNA -DHTTP_ACCESS_USB -DMAX_USB_ACCESS -DSAMBA_ENABLE -DUSB_NEW_SPEC -DINCLUDE_WIFI_BUTTON -DINCLUDE_USB_LED -DINCLUDE_DUAL_BAND -DSINGLE_FIRMWARE -DINCLUDE_GET_ST_CHKSUM -DUNIFIED_STR_TBL -DFIRST_MTD_ROTATION -DWIFI_ON_OFF_SCHE -DAUTO_CONN_24HR -DIGMP_PROXY -DAP_MODE -D__CONFIG_IGMP_SNOOPING__ -DLINUX26 -DINCLUDE_IPV6 -DPRESET_WL_SECURITY -DNEW_BCM_WPS_IPC -DSUPPORT_AC_MODE -DSTA_MODE -DPPP_RU_DESIGN -DEXT_ACS -D__CONFIG_PLC__ -D__CONFIG_URE__ -DPLC -DWPS_LONGPUSH_DISABLE -Os -DLINUX26 -DCONFIG_KERNEL_2_6_36 -I$(SRC_PATH)/build/include,g
508s,@LDFLAGS@,|#_!!_#|-L$(SRC_PATH)/build/lib,g
509s,@CPPFLAGS@,|#_!!_#|-I$(SRC_PATH)/build/include,g
510s,@ac_ct_CC@,|#_!!_#|,g
511s,@EXEEXT@,|#_!!_#|,g
512s,@OBJEXT@,|#_!!_#|o,g
513s,@CPP@,|#_!!_#|arm-brcm-linux-uclibcgnueabi-gcc -E,g
514s,@CXX@,|#_!!_#|g++,g
515s,@CXXFLAGS@,|#_!!_#|-g -O2,g
516s,@ac_ct_CXX@,|#_!!_#|g++,g
517s,@CXXCPP@,|#_!!_#|g++ -E,g
518s,@RANLIB@,|#_!!_#|arm-brcm-linux-uclibcgnueabi-ranlib,g
519s,@INSTALL@,|#_!!_#|/usr/bin/install -c,g
520s,@INSTALL_PROGRAM@,|#_!!_#|$(INSTALL),g
521s,@INSTALL_DATA@,|#_!!_#|$(INSTALL) -m 644,g
522s,@LIBOBJS@,|#_!!_#|,g
523s,@LTLIBOBJS@,|#_!!_#|,g
524:end
525s/|#_!!_#|//g
526CEOF
527fi # test -n "$CONFIG_FILES"
528
529
530for ac_tag in  :F $CONFIG_FILES
531do
532  case $ac_tag in
533  :[FHLC]) ac_mode=$ac_tag; continue;;
534  esac
535  case $ac_mode$ac_tag in
536  :[FHL]*:*);;
537  :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
538echo "$as_me: error: Invalid tag $ac_tag." >&2;}
539   { (exit 1); exit 1; }; };;
540  :[FH]-) ac_tag=-:-;;
541  :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
542  esac
543  ac_save_IFS=$IFS
544  IFS=:
545  set x $ac_tag
546  IFS=$ac_save_IFS
547  shift
548  ac_file=$1
549  shift
550
551  case $ac_mode in
552  :L) ac_source=$1;;
553  :[FH])
554    ac_file_inputs=
555    for ac_f
556    do
557      case $ac_f in
558      -) ac_f="$tmp/stdin";;
559      *) # Look for the file first in the build tree, then in the source tree
560	 # (if the path is not absolute).  The absolute path cannot be DOS-style,
561	 # because $ac_f cannot contain `:'.
562	 test -f "$ac_f" ||
563	   case $ac_f in
564	   [\\/$]*) false;;
565	   *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
566	   esac ||
567	   { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
568echo "$as_me: error: cannot find input file: $ac_f" >&2;}
569   { (exit 1); exit 1; }; };;
570      esac
571      ac_file_inputs="$ac_file_inputs $ac_f"
572    done
573
574    # Let's still pretend it is `configure' which instantiates (i.e., don't
575    # use $as_me), people would be surprised to read:
576    #    /* config.h.  Generated by config.status.  */
577    configure_input="Generated from "`IFS=:
578	  echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
579    if test x"$ac_file" != x-; then
580      configure_input="$ac_file.  $configure_input"
581      { echo "$as_me:$LINENO: creating $ac_file" >&5
582echo "$as_me: creating $ac_file" >&6;}
583    fi
584
585    case $ac_tag in
586    *:-:* | *:-) cat >"$tmp/stdin";;
587    esac
588    ;;
589  esac
590
591  ac_dir=`$as_dirname -- "$ac_file" ||
592$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
593	 X"$ac_file" : 'X\(//\)[^/]' \| \
594	 X"$ac_file" : 'X\(//\)$' \| \
595	 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
596echo X"$ac_file" |
597    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
598	    s//\1/
599	    q
600	  }
601	  /^X\(\/\/\)[^/].*/{
602	    s//\1/
603	    q
604	  }
605	  /^X\(\/\/\)$/{
606	    s//\1/
607	    q
608	  }
609	  /^X\(\/\).*/{
610	    s//\1/
611	    q
612	  }
613	  s/.*/./; q'`
614  { as_dir="$ac_dir"
615  case $as_dir in #(
616  -*) as_dir=./$as_dir;;
617  esac
618  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
619    as_dirs=
620    while :; do
621      case $as_dir in #(
622      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
623      *) as_qdir=$as_dir;;
624      esac
625      as_dirs="'$as_qdir' $as_dirs"
626      as_dir=`$as_dirname -- "$as_dir" ||
627$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
628	 X"$as_dir" : 'X\(//\)[^/]' \| \
629	 X"$as_dir" : 'X\(//\)$' \| \
630	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
631echo X"$as_dir" |
632    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
633	    s//\1/
634	    q
635	  }
636	  /^X\(\/\/\)[^/].*/{
637	    s//\1/
638	    q
639	  }
640	  /^X\(\/\/\)$/{
641	    s//\1/
642	    q
643	  }
644	  /^X\(\/\).*/{
645	    s//\1/
646	    q
647	  }
648	  s/.*/./; q'`
649      test -d "$as_dir" && break
650    done
651    test -z "$as_dirs" || eval "mkdir $as_dirs"
652  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
653echo "$as_me: error: cannot create directory $as_dir" >&2;}
654   { (exit 1); exit 1; }; }; }
655  ac_builddir=.
656
657case "$ac_dir" in
658.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
659*)
660  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
661  # A ".." for each directory in $ac_dir_suffix.
662  ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
663  case $ac_top_builddir_sub in
664  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
665  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
666  esac ;;
667esac
668ac_abs_top_builddir=$ac_pwd
669ac_abs_builddir=$ac_pwd$ac_dir_suffix
670# for backward compatibility:
671ac_top_builddir=$ac_top_build_prefix
672
673case $srcdir in
674  .)  # We are building in place.
675    ac_srcdir=.
676    ac_top_srcdir=$ac_top_builddir_sub
677    ac_abs_top_srcdir=$ac_pwd ;;
678  [\\/]* | ?:[\\/]* )  # Absolute name.
679    ac_srcdir=$srcdir$ac_dir_suffix;
680    ac_top_srcdir=$srcdir
681    ac_abs_top_srcdir=$srcdir ;;
682  *) # Relative name.
683    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
684    ac_top_srcdir=$ac_top_build_prefix$srcdir
685    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
686esac
687ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
688
689
690  case $ac_mode in
691  :F)
692  #
693  # CONFIG_FILE
694  #
695
696# If the template does not know about datarootdir, expand it.
697# FIXME: This hack should be removed a few years after 2.60.
698ac_datarootdir_hack=; ac_datarootdir_seen=
699
700case `sed -n '/datarootdir/ {
701  p
702  q
703}
704/@datadir@/p
705/@docdir@/p
706/@infodir@/p
707/@localedir@/p
708/@mandir@/p
709' $ac_file_inputs` in
710*datarootdir*) ac_datarootdir_seen=yes;;
711*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
712  { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
713echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
714  ac_datarootdir_hack='
715  s&@datadir@&${datarootdir}&g
716  s&@docdir@&${datarootdir}/doc/${PACKAGE}&g
717  s&@infodir@&${datarootdir}/info&g
718  s&@localedir@&${datarootdir}/locale&g
719  s&@mandir@&${datarootdir}/man&g
720    s&\${datarootdir}&${prefix}/share&g' ;;
721esac
722  sed "/^[	 ]*VPATH[	 ]*=/{
723s/:*\$(srcdir):*/:/
724s/:*\${srcdir}:*/:/
725s/:*@srcdir@:*/:/
726s/^\([^=]*=[	 ]*\):*/\1/
727s/:*$//
728s/^[^=]*=[	 ]*$//
729}
730
731:t
732/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
733s&@configure_input@&$configure_input&;t t
734s&@top_builddir@&$ac_top_builddir_sub&;t t
735s&@srcdir@&$ac_srcdir&;t t
736s&@abs_srcdir@&$ac_abs_srcdir&;t t
737s&@top_srcdir@&$ac_top_srcdir&;t t
738s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
739s&@builddir@&$ac_builddir&;t t
740s&@abs_builddir@&$ac_abs_builddir&;t t
741s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
742$ac_datarootdir_hack
743" $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
744
745test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
746  { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
747  { ac_out=`sed -n '/^[	 ]*datarootdir[	 ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
748  { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
749which seems to be undefined.  Please make sure it is defined." >&5
750echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
751which seems to be undefined.  Please make sure it is defined." >&2;}
752
753  rm -f "$tmp/stdin"
754  case $ac_file in
755  -) cat "$tmp/out"; rm -f "$tmp/out";;
756  *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
757  esac
758 ;;
759
760
761
762  esac
763
764done # for ac_tag
765
766
767{ (exit 0); exit 0; }
768